<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
QueueDatabaseConfig..::.Append Field
QueueDatabaseConfig Class See Also Send Feedback

A function to call after the record number has been selected but before the data has been stored into the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public AppendRecordDelegate Append

Visual Basic (Declaration)

    Public Append As AppendRecordDelegate

Visual C++

    public:
    AppendRecordDelegate^ Append

# Remarks

When using Append(DatabaseEntry), it may be useful to modify the stored data based on the generated key. If a delegate is specified, it will be called after the record number has been selected, but before the data has been stored.

# See Also

QueueDatabaseConfig Class
BerkeleyDB Namespace